<?php
/**
 * +----------------------------------------------------------------------
 * | 管理员登录日志模型
 * +----------------------------------------------------------------------
 */
namespace app\common\model;

// 引入框架内置类
use think\Model;

class SysLogin extends Model
{
    protected $pk = 'loginid';

    // 管理员登录日志记录
    public static function record($info)
    {
        // 入库
        self::create([
            'userid'    => $info->userid,
            'username'  => $info->username,
            'logintime' => $info->per_time,
            'loginip'   => $info->per_ip,
            'status'    => 0,
        ]);
    }

    public static function queryPage($limit = 30, $userid = 0)
    {
        if ($userid==0) {
            $list = self::order("loginid desc")->paginate($limit);
        } else {
            $list = self::where('userid', $userid)->order("loginid desc")->paginate($limit);
        }
        
        return $list;
    }
}
