<?php

namespace app\common\model;

class Category extends Base
{
    public function module()
    {
        return $this->belongsTo('Module', 'module_id');
    }

    // 获取列表
    public static function getList()
    {
        $list = self::with(['module'])
            ->order(['sort desc', 'id' => 'desc'])
            ->select();
        // halt($list);
        foreach ($list as $k => $v) {
            if ($list[$k]['module_id']) {
                $v['module_name'] = $v->module->getData('module_name');
                $v['table_name'] = $v->module->getData('table_name');
            }
        }
        return $list;
    }


    public static function articleCategoryies()
    {
        return self::where('module_id', 19)->where('status', 1)->field('id, parent_id, category_name, category_folder')->select();
    }
}
