<?php
namespace app\common\model;

use think\Model;
use think\facade\Db;

class SysMenu extends Model
{
    public static function getUserMenuList($rid)
    {
        if ($rid === 1) {   // 超级管理员
            $data = self::field('id, pid, name, url, type, icon')->select();
        } else {
            $roleModel = new SysRole();
            $permission_ids = $roleModel->getpermissionIds($rid);
            $data = self::where('id', 'IN', $permission_ids)->field('id, pid, name, url, icon')->select();
        }
        return $data;
    }

    public static function queryButtonPermissionsByRoleid($rid)
    {
        if ($rid === 1) {   // 超级管理员
            $data = self::where('type', 2)->column('url');
        } else {
            $roleModel = new SysRole();
            $permission_ids = $roleModel->getpermissionIds($rid);
            $data = self::where('id', 'IN', $permission_ids)->where('type', 2)->column('url');
        }

        return $data;
    }
}
